### org.jfree.layouting.layouter.style.functions.values

# Class UrlValueFunction

- `java.lang.Object`
- - `org.jfree.layouting.layouter.style.functions.values.UrlValueFunction`

Implemented Interfaces:
  StyleValueFunction

`public class UrlValueFunction`
`extends java.lang.Object`
`implements StyleValueFunction`

Creation-Date: 16.04.2006, 14:14:42

Author:
  Thomas Morgner

  ## Constructor Summary

  `UrlValueFunction()`

  ## Method Summary

  `CSSValue`

  `evaluate(LayoutProcess layoutProcess, LayoutElement element, CSSFunctionValue function)`

## Constructor Details

### UrlValueFunction

    public UrlValueFunction()

## Method Details

### evaluate

    public CSSValue evaluate(LayoutProcess layoutProcess,
                             LayoutElement element,
                             CSSFunctionValue function)
                throws FunctionEvaluationException

> Specified by:
>   evaluate in interface StyleValueFunction